#include "common.h"

int sub_read_args(CONFIG_INFO_T *pftpt, int nargc, char *pargv[])
{
	int		npos ;
	int		nphs ;

	if ( nargc < 2 )
	{
		fprintf( stderr, "nargc invalid" ) ;
		return STS_NG ;
	}

	npos = 0 ;
	nphs = 0 ;
	nargc-- ;

	while ( nargc )
	{
		npos++ ;

		if ( nphs == 0 )
		{
			if ( !strncmp( pargv[npos], "-cfg", 4 ) )
			{
				nphs = 1 ;
			}
		}
		else if ( nphs == 1 )
		{
			strcpy( pftpt->fil_config, pargv[npos] ) ;
			nphs = 0 ;
		}

		nargc-- ;
	}

	if ( nphs != 0 )
	{
		fprintf( stderr, "argument read failed" ) ;
		return STS_NG ;
	}

	return STS_OK ;
}
